Mailinglist Archive: opensuse-updates (127 mails)

< Previous Next >
openSUSE-RU-2017:2374-1: moderate: Recommended update for libgcrypt
openSUSE Recommended Update: Recommended update for libgcrypt
______________________________________________________________________________

Announcement ID: openSUSE-RU-2017:2374-1
Rating: moderate
References: #1043333 #1046659 #1047008
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that has three recommended fixes can now be
installed.

Description:

This update for libgcrypt fixes the following issues:

- libgcrypt stored an open file descriptor to the random device in a
static variable between invocations. gnome-keyring-daemon on
initialization reopened descriptors 0-2 with /dev/null which caused an
infinite loop when libgcrypt attempted to read from the random device
(bsc#1043333)
- Avoid seeding the DRBG during FIPS power-up selftests (bsc#1046659)
* don't call gcry_drbg_instantiate() in healthcheck sanity test to save
entropy
* turn off blinding for RSA decryption in selftests_rsa to avoid
allocation of a random integer
- fix a bug in gcry_drbg_healthcheck_sanity() which caused skipping some
of the tests (bsc#1046659)
- dlsym returns PLT address on s390x, dlopen libgcrypt20.so before calling
dlsym (bsc#1047008)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1013=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1013=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libgcrypt-cavs-1.6.1-39.1
libgcrypt-cavs-debuginfo-1.6.1-39.1
libgcrypt-debugsource-1.6.1-39.1
libgcrypt-devel-1.6.1-39.1
libgcrypt-devel-debuginfo-1.6.1-39.1
libgcrypt20-1.6.1-39.1
libgcrypt20-debuginfo-1.6.1-39.1
libgcrypt20-hmac-1.6.1-39.1

- openSUSE Leap 42.3 (x86_64):

libgcrypt-devel-32bit-1.6.1-39.1
libgcrypt-devel-debuginfo-32bit-1.6.1-39.1
libgcrypt20-32bit-1.6.1-39.1
libgcrypt20-debuginfo-32bit-1.6.1-39.1
libgcrypt20-hmac-32bit-1.6.1-39.1

- openSUSE Leap 42.2 (i586 x86_64):

libgcrypt-cavs-1.6.1-34.9.1
libgcrypt-cavs-debuginfo-1.6.1-34.9.1
libgcrypt-debugsource-1.6.1-34.9.1
libgcrypt-devel-1.6.1-34.9.1
libgcrypt-devel-debuginfo-1.6.1-34.9.1
libgcrypt20-1.6.1-34.9.1
libgcrypt20-debuginfo-1.6.1-34.9.1
libgcrypt20-hmac-1.6.1-34.9.1

- openSUSE Leap 42.2 (x86_64):

libgcrypt-devel-32bit-1.6.1-34.9.1
libgcrypt-devel-debuginfo-32bit-1.6.1-34.9.1
libgcrypt20-32bit-1.6.1-34.9.1
libgcrypt20-debuginfo-32bit-1.6.1-34.9.1
libgcrypt20-hmac-32bit-1.6.1-34.9.1


References:

https://bugzilla.suse.com/1043333
https://bugzilla.suse.com/1046659
https://bugzilla.suse.com/1047008


< Previous Next >
This Thread
  • No further messages